Subject: Re: bug#76802: 31.0.50; Error when installing/activating packages due to emacs-version mismatch

From: Mauro Aranda <[email-masked]>
Date: Sun, 9 Mar 2025 05:24:21 -0300

merge 76802 76861 76871 76874
quit

Tassilo Horn <[email-masked]> writes:

 > Tassilo Horn <[email-masked]> writes:
 >
 >>> You wouldn't happen to have a convenient recipe starting from emacs
 >>> -Q, do you?  :-)
 >>
 >> I do.
 >>
 >> - emacs -Q
 >> - M-x list-packages RET
 >> - mark ef-themes version 1.9.0 from gnu for (i)nstall
 >> - e(x)ecute
 >>
 >> Debugger entered--Lisp error: (error "This package requires Emacs
 >> version 27.1")
 >>   signal(error ("This package requires Emacs version 27.1"))
 >>   error("This package requires Emacs version %s" "27.1")
 >>   package-compute-transaction((#s(package-desc :name ef-themes
 >> :version (1 9 0) :summary "Colorful and legible themes" :reqs
 >> ((emacs (27 1))) :kind tar :archive "gnu" :dir nil $
 >
 > I've debugged a bit further and the issue is that
 >
 >   (package-installed-p 'emacs '(27 1))
 >
 > still returns t (as it should) in c116dad608a but returns nil starting
 > with 5dd8b7e7525.  Well, and the reason for that is that
 > package-builtins on master contains
 >
 >   (emacs . [(1 0) nil "the extensible text editor"])
 >
 > instead of
 >
 >   (emacs . [(31 0 50) nil "the extensible text editor"])
 >

I didn't notice this report yesterday, so I reported a duplicate.

Re-attaching a patch with my reply and merging all the duplicates I've
found.

From 7ad01dc117d86ad553ef2926a7aef38a11a9490b Mon Sep 17 00:00:00 2001
From: Mauro Aranda <[email-masked]>
Date: Sat, 8 Mar 2025 07:39:59 -0300
Subject: [PATCH] Fix Package name for cond-star

* lisp/emacs-lisp/cond-star.el: Fix name.  (Bug#76861)
---
 lisp/emacs-lisp/cond-star.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/emacs-lisp/cond-star.el b/lisp/emacs-lisp/cond-star.el
index 7e21f74e2d2..7c4c1043948 100644
--- a/lisp/emacs-lisp/cond-star.el
+++ b/lisp/emacs-lisp/cond-star.el
@@ -3,7 +3,7 @@
 ;; Copyright (C) 2024-2025 Free Software Foundation, Inc.
 
 ;; Maintainer: Richard Stallman <[email-masked]>
-;; Package: emacs
+;; Package: cond-star
 ;; Version: 1.0
 ;; Package-Requires: ((emacs "24.3"))
 
-- 
2.34.1